[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
Google
  Web www.spinics.net

upgrade from rpm 4.4 to 4.8



Welcome all list users!

In our project we are using rpmbuild to package our software and provide it as rpm.

We are planing to upgrade from rpm 4.4 to 4.8.
To build our rpm, I'm creating custom rpmmacros which is sourced in custom rpmrc which is passed with --rcfile option.

rpmrc is like:
include: globalrcfile
macrofiles: globalmacros:myCustomMacroFile

I foundout this mechanism does not work for rpm 4.8, looks like macrofiles is ignored at all. I tried to use --macros but lot of the global macros, variables, was not prepared correctly.
My requirement is to set, overwrite some global macros, but I require mechanism which works under 4.4 and 4.8.

I tried to use --define which works fine in case of simple variables, but when I owervrite e.g %debug_package command line call is not acceptable, anyway it leads to some escaping issue.

thanks a lot for suggestions

best regards
Lukasz



--
Łukasz Tasz
_______________________________________________
Rpm-list mailing list
Rpm-list@xxxxxxxxxxxxx
http://lists.rpm.org/mailman/listinfo/rpm-list

[Linux Kernel]     [Red Hat Install]     [PAM]     [Red Hat Watch]     [Red Hat Development]     [Red Hat]     [Gimp]     [Yosemite News]     [IETF Discussion]